##### 7.5.17.0. isDenom

Procedure from library `ncloc.lib` (see ncloc_lib).

Usage:
  isDenom(p, loc), poly a, ncloc loc

Purpose:
  check if p is a valid denominator in the localization loc

Return:
  int

Note:
  returns 1 or 0, depending whether p is a valid denominator

Example:

    LIB "ncloc.lib";
    ==> // ** redefining testNcloc (LIB "ncloc.lib";) ./examples/isDenom.sing:1
    ring R = 0,(x,y,Dx,Dy),dp;
    def S = Weyl();
    setring S; S;
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 4
    ==> //        block   1 : ordering dp
    ==> //                  : names    x y Dx Dy
    ==> //        block   2 : ordering C
    ==> // noncommutative relations:
    ==> //    Dxx=x*Dx+1
    ==> //    Dyy=y*Dy+1
    // monoidal localization
    ncloc loc;
    poly g1 = x^2*y+x+2;
    poly g2 = y^3+x*y;
    list L = g1,g2;
    loc = L;
    poly g = g1^2*g2;
    poly f = g - 1;
    isDenom(g, loc);
    ==> 1
    isDenom(f, loc);
    ==> 0
    // geometrical localization
    loc = ideal(x-1,y-3);
    g = x^2+y-3;
    f = (x-1)*g;
    isDenom(g, loc);
    ==> 1
    isDenom(f, loc);
    ==> 0
    // rational localization
    intvec v = 2;
    loc = v;
    g = y^5+17*y^2-4;
    f = x*y;
    isDenom(g, loc);
    ==> 1
    isDenom(f, loc);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.